Name:		s3backer
Version:	1.5.4
Release:	1%{?dist}
Summary:	Single file S3 backed filesystem
Group:		System/Filesystems
License:	GPLv2+
URL:		https://github.com/archiecobbs/s3backer/
Source0:	https://github.com/archiecobbs/s3backer/archive/%{name}-%{version}.tar.gz
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	fuse-devel
BuildRequires:	gcc
BuildRequires:	libcurl-devel >= 7.25.0
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel

%description
s3backer is a filesystem that contains a single file backed by the Amazon
Simple Storage Service (Amazon S3). As a filesystem, it is very simple: it
provides a single normal file having a fixed size. Underneath, the file is
divided up into blocks, and the content of each block is stored in a unique
Amazon S3 object. In other words, what s3backer provides is really more like an
S3-backed virtual hard disk device, rather than a filesystem.

In typical usage, a normal filesystem is mounted on top of the file exported by
the s3backer filesystem using a loopback mount
(or disk image mount on Mac OS X).

%prep
%setup -q -c -n s3backer
cd s3backer-%{version}
./autogen.sh
cd -

%build
cd s3backer-%{version}
%configure
%make_build

%install
cd s3backer-%{version}
%make_install

%files
%defattr(-,root,root,-)
%license %{name}-%{version}/COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_docdir}/packages/%{name}

%changelog
* Fri Jan 17 2020 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.4-1
- Update to 1.5.4
- Add missing %{?dist} tag

* Fri Sep 27 2019 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.2-1
- Update to 1.5.2

* Wed Oct 10 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.5.0-1
- Update to 1.5.0

* Thu Mar 29 2018 Brandon Nielsen <nielsenb@jetfuse.net> 1.4.5-1
- Update to 1.4.5

* Wed Aug 17 2016 Brandon Nielsen <nielsenb@jetfuse.net> 1.4.3-1
- Bump to 1.4.3

* Wed Sep 02 2015 Brandon Nielsen <nielsenb@jetfuse.net> 1.4.2-1
- Initial specfile
